/*
 * fallocate
 */

#include <stdlib.h>
#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>

int main(int argc, char **argv)
{
	(void)argc;
	char t[256];
	snprintf(t, sizeof t, "%s/t046_XXXXXX", argv[1]);
	int fd = mkstemp(t);
	if (fd >= 0) {
		fallocate(fd, 0, 0, 4096);
		close(fd);
		unlink(t);
	}
	return 0;
}
